libthai 0.1.29

Functions
thwstr.h File Reference

Thai wide-char string manipulators. More...

## Functions
size_t | th_wnormalize (thwchar_t dest[], const thwchar_t *src, size_t n)
| Normalize character order and remove excessive characters. More...

## Detailed Description

Thai wide-char string manipulators.

## Function Documentation

## ◆ th_wnormalize()

size_t th_wnormalize | ( | thwchar_t | wdest[],
|  | const thwchar_t * | wsrc,
|  | size_t | n
| ) |  |

Normalize character order and remove excessive characters.

Parameters

  wdest | : the destination wide-char string buffer
  wsrc | : the wide-char string to normalize
  n | : the size of dest buffer (as number of elements)

Returns
  total number of elements written to wdest, excluding the terminating '\0'.

Corrects combining character order and remove excessive characters. At most n characters are put in wdest.